package com.ruoyi.learn.service;

import java.util.List;
import com.ruoyi.learn.domain.LearnPaperQuestion;
import com.ruoyi.learn.domain.LearnQuestions;

/**
 * 试卷题关系Service接口
 * 
 * @author ruoyi
 * @date 2025-09-18
 */
public interface ILearnPaperQuestionService 
{
    /**
     * 查询试卷题关系
     * 
     * @param id 试卷题关系主键
     * @return 试卷题关系
     */
    public LearnPaperQuestion selectLearnPaperQuestionById(Long id);

    /**
     * 查询试卷题关系列表
     * 
     * @param learnPaperQuestion 试卷题关系
     * @return 试卷题关系集合
     */
    public List<LearnPaperQuestion> selectLearnPaperQuestionList(LearnPaperQuestion learnPaperQuestion);

    /**
     * 新增试卷题关系
     * 
     * @param learnPaperQuestion 试卷题关系
     * @return 结果
     */
    public int insertLearnPaperQuestion(LearnPaperQuestion learnPaperQuestion);

    /**
     * 修改试卷题关系
     * 
     * @param learnPaperQuestion 试卷题关系
     * @return 结果
     */
    public int updateLearnPaperQuestion(LearnPaperQuestion learnPaperQuestion);

    /**
     * 批量删除试卷题关系
     * 
     * @param ids 需要删除的试卷题关系主键集合
     * @return 结果
     */
    public int deleteLearnPaperQuestionByIds(Long[] ids);

    /**
     * 删除试卷题关系信息
     * 
     * @param id 试卷题关系主键
     * @return 结果
     */
    public int deleteLearnPaperQuestionById(Long id);

    public List<LearnQuestions> selectQuestionByPaperId(Long paperId);
}
